%define apachedir /etc/httpd
%define apacheuser www
%define apachegroup www
%define contentdir /home/httpd
%define phpini /etc/php.ini

Summary: The common Horde Framework for all Horde modules.
Name: horde
Version: 3.1.4
Release: 1%{?dist}
License: LGPL
Group: Applications/Horde
Source: ftp://ftp.horde.org/pub/horde/tarballs/horde-%{version}.tar.gz
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: /tmp/horde-root
AutoReq: no
Requires: php >= 4.3.0
Requires: httpd >= 2.0.46
Prereq: /usr/bin/perl

%description
The Horde Framework provides a common structure and interface for Horde
applications (such as IMP, a web-based mail program).  This RPM is
required for all other Horde module RPMs.

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Horde
and its modules) please visit http://www.horde.org/.

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf
#cp -p $RPM_SOURCE_DIR/horde.conf $RPM_BUILD_ROOT%{apachedir}/conf
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/horde
cp -pR * $RPM_BUILD_ROOT%{contentdir}/html/horde
chmod go-rwx $RPM_BUILD_ROOT%{contentdir}/html/horde/test.php
cd $RPM_BUILD_ROOT%{contentdir}/html/horde/config
mv hooks.php.dist hooks.php.dist1
#rm -rf hooks.php.dist
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done
mv hooks.php.dist1 hooks.php.dist

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-,root,root)
# Apache horde.conf file
#%config %{apachedir}/conf/horde.conf
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/html/horde
# Include top-level files by hand
%{contentdir}/html/horde/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/html/horde/admin
%{contentdir}/html/horde/js
%{contentdir}/html/horde/lib
%{contentdir}/html/horde/locale
%{contentdir}/html/horde/po
%{contentdir}/html/horde/scripts
%{contentdir}/html/horde/services
%{contentdir}/html/horde/templates
%{contentdir}/html/horde/themes
%{contentdir}/html/horde/util
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/html/horde/COPYING
%doc %{contentdir}/html/horde/README
%docdir %{contentdir}/html/horde/docs
%{contentdir}/html/horde/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/html/horde/config
%defattr(640,root,%{apachegroup})
%{contentdir}/html/horde/config/.htaccess
%{contentdir}/html/horde/config/*.dist
%config %{contentdir}/html/horde/config/*.php
%config %{contentdir}/html/horde/config/*.xml

%changelog
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Sat Mar 24 2007 John H. Bennett III <bennettj@johnbennettservices.com> 3.1.4-1.el4
- Update to horde 3.1.4 [SME: 2782]

* Sat Dec 09 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Sat Sep 9 2006 John H. Bennett III <bennettj@johnbennettservices.com>  3.1.3-00sme01
- Updated to Horde 3.1.3

* Mon Aug 28 2006 John H. Bennett III <bennettj@johnbennettservices.com>  3.0.12-01sme01
- Updated to Horde 3.0.12

* Thu Jul 06 2006 John H. Bennett III <bennettj@johnbennettservices.com> 3.0.11-01sme01
- Patch to upgrade Horde 3.0.10 to 3.0.11 maintaing the go.php patch
- http://lists.horde.org/archives/announce/2006/000287.html [SME: 1710]

* Fri Apr 7 2006 Gordon Rowell <gordonr@gormand.com.au> 3.0.10-01sme01
- Rename to 3.0.10, maintaining the go.php patch [SME: 1157]

* Wed Apr 05 2006 John H. Bennett III <bennettj@johnbennettservices.com> 3.0.9-02sme02
- Patch to upgrade Horde 3.0.9 to 3.0.10 [SME: 1157]

* Thu Mar 16 2006 Charlie Brady <charlie_brady@mitel.com> 3.0.9-02sme01
- Include go.php from php 3.1 - security patch to fix
  http://www.securityfocus.com/bid/17117/info [SME: 1061]
- Replace deprecated Copyright: header with License: header.

* Sun Mar 5 2006 Gordon Rowell <gordonr@gormand.com.au>  3.0.9-01sme02
- Rebuild and sign [SME: 940]

* Thu Feb 16 2006 John H. Bennett III <bennettj@thebennetthome.com>  3.0.9-01sme01
- Updated to Horde 3.09
	
* Wed Nov 30 2005 Gordon Rowell <gordonr@gormand.com.au> 3.0.7-02sme01
- Adjust Release tag to our standard format [SME: 70]

* Tue Nov 22 2005 Greg Swallow
- Updated to Horde 3.0.7

* Wed Nov 09 2005 Greg Swallow
- Updated to Horde 3.0.6

* Thu Aug 25 2005 Greg Swallow
- Updated to Horde 3.0.5

* Thu Mar 31 2005 Greg Swallow <gregswallow@skynetonline.ca>
- 3.0.4-1sme01
- Update for Horde 3.0.4 on SME7

* Tue Aug 10 2004 Shad L. Lords <slords@mail.com>
- 2.2.1-2sme01
- Update specfile - change apache to httpd in requires

* Wed Apr 23 2003 Gordon Rowell <gordon_rowell@mitel.com>
- 2.2.1-1es00
- Rebuild [gordonr 7694]

* Tue Feb 25 2003 Dan Brown <dan@familybrown.org>
- 2.2.1-1es
- Rebuilt with horde 2.2.1

* Mon Jul  1 2002 Dan Brown <dan@familybrown.org>
- 2.1 release 1es
- changed apache user and web root to comply with SME Server
- removed horde.conf file, as this information is in e-smith-horde RPM

* Tue Jun 25 2002 Brent J. Nordquist <bjn@horde.org>
- 2.1 release 3

* Mon Jun 24 2002 Brent J. Nordquist <bjn@horde.org>
- 2.1 release 2 (private beta)

* Thu Jun 13 2002 Brent J. Nordquist <bjn@horde.org>
- 2.1 release 1 (private beta)

* Wed Jan 02 2002 Brent J. Nordquist <bjn@horde.org>
- 2.0 release 1

* Mon Dec 24 2001 Brent J. Nordquist <bjn@horde.org>
- 2.0-RC4 release 1

* Sat Dec 15 2001 Brent J. Nordquist <bjn@horde.org>
- rewritten for Horde 2.0

* Wed Nov 14 2001 Brent J. Nordquist <bjn@horde.org>
- 1.2.7 release 1rh7

* Sat Jul 21 2001 Brent J. Nordquist <bjn@horde.org>
- 1.2.6 release 1rh7

* Tue Feb 06 2001 Brent J. Nordquist <bjn@horde.org>
- 1.2.4 release 1rh7

